Interface for build loggers.

Build loggers are build listeners but with some additional functionality: - They can be configured with a log level (below which they will ignore messages) - They have error and output streams

Classes that implement a listener must implement this interface.

author | Hans Lellelid
version | $Id$
see | \global\BuildEvent
see | \global\Project::addBuildListener()
package | phing

### Methods

## Fired after the last target has finished.

    buildFinished(\BuildEvent $event)

Inherited

see | \global\BuildEvent::getException()
inherited_from | \BuildListener::buildFinished()

### Parameters

#### $event

`\BuildEvent`

The BuildEvent

## Fired before any targets are started.

    buildStarted(\BuildEvent $event)

Inherited

inherited_from | \BuildListener::buildStarted()

### Parameters

#### $event

`\BuildEvent`

The BuildEvent

## Fired whenever a message is logged.

    messageLogged(\BuildEvent $event)

Inherited

see | \global\BuildEvent::getMessage()
inherited_from | \BuildListener::messageLogged()

### Parameters

#### $event

`\BuildEvent`

The BuildEvent

## Sets the output stream to use for errors.

    setErrorStream(\OutputStream $err)

### Parameters

#### $err

`\OutputStream`

Configured output stream (e.g. STDERR) for errors.

## Sets the min log level that this logger should respect.

    setMessageOutputLevel(int $level)

Messages below this level are ignored.

Constants for the message levels are in Project.php. The order of the levels, from least to most verbose, is: - Project::MSG_ERR - Project::MSG_WARN - Project::MSG_INFO - Project::MSG_VERBOSE - Project::MSG_DEBUG

### Parameters

#### $level

`int`

The log level integer (e.g. Project::MSG_VERBOSE, etc.).

## Sets the standard output stream to use.

    setOutputStream(\OutputStream $output)

### Parameters

#### $output

`\OutputStream`

Configured output stream (e.g. STDOUT) for standard output.

## Fired when a target has finished.

    targetFinished(\BuildEvent $event)

Inherited

see | \global\BuildEvent#getException()
inherited_from | \BuildListener::targetFinished()

### Parameters

#### $event

`\BuildEvent`

The BuildEvent

## Fired when a target is started.

    targetStarted(\BuildEvent $event)

Inherited

see | \global\BuildEvent::getTarget()
inherited_from | \BuildListener::targetStarted()

### Parameters

#### $event

`\BuildEvent`

The BuildEvent

## Fired when a task has finished.

    taskFinished(\BuildEvent $event)

Inherited

see | \global\BuildEvent::getException()
inherited_from | \BuildListener::taskFinished()

### Parameters

#### $event

`\BuildEvent`

The BuildEvent

## Fired when a task is started.

    taskStarted(\BuildEvent $event)

Inherited

see | \global\BuildEvent::getTask()
inherited_from | \BuildListener::taskStarted()

### Parameters

#### $event

`\BuildEvent`

The BuildEvent